function WindowPause()
{
    this.name = "pause";
    this.layer = 1;
    this.animation_time_in = 20;
    this.animation_time_out = 20;

    this.getImg.x = 160*devise_size;
    this.getImg.y = 2048;
    this.getImg.regX = 110*devise_size;
    this.getImg.regY = 105*devise_size;

    var bg = ss_data.clone();
    bg.gotoAndStop("window2");
    this.getImg.addChild(bg);

    var up = ss_data.clone();
    up.gotoAndStop("text_yellow_pause");
    up.x = 60*devise_size;
    up.y = -25*devise_size;
    this.getImg.addChild(up);

    this.btn_mc = ss_data.clone();
    this.btn_mc.gotoAndStop("btn");

    this.btn_mc.x = 130*devise_size;
    this.btn_mc.y = 99*devise_size;
    this.getImg.addChild(this.btn_mc);
    this.btn_music_up = ss_data.clone();
    this.btn_music_up.gotoAndStop("icon_music");
    this.btn_music_up.x = 130*devise_size;
    this.btn_music_up.y = 99*devise_size;
    this.getImg.addChild(this.btn_music_up);

    this.btn_s = ss_data.clone();
    this.btn_s.gotoAndStop("btn");

    this.btn_s.x = 37*devise_size;
    this.btn_s.y = 99*devise_size;
    this.getImg.addChild(this.btn_s);
    this.btn_sound_up = ss_data.clone();
    this.btn_sound_up.gotoAndStop("icon_sound");
    this.btn_sound_up.x = 37*devise_size;
    this.btn_sound_up.y = 99*devise_size;
    this.getImg.addChild(this.btn_sound_up);

    this.btn_help = new createjs.Container();
    this.btn_help.on("mousedown", function(){ tut = -2; window_controller.Show("tut"); });
    this.btn_help.x = 110*devise_size;
    this.btn_help.y = 60*devise_size;
    this.btn_help.regX = 26*devise_size;
    this.btn_help.regY = 26*devise_size;
    var btn_help_bg = ss_data.clone();
    btn_help_bg.gotoAndStop("btn");
    this.btn_help.addChild(btn_help_bg);
    var btn_help_up = ss_data.clone();
    btn_help_up.gotoAndStop("icon_help");
    this.btn_help.addChild(btn_help_up);
    this.getImg.addChild(this.btn_help);

    this.btn_m = ss_data.clone();
    this.btn_m.gotoAndStop("btn");
    this.btn_m.on("mousedown", function(){ window_controller.Show("map"); });
    this.btn_m.x = 37*devise_size;
    this.btn_m.y = 180*devise_size;
    this.getImg.addChild(this.btn_m);
    var btn_m_up = ss_data.clone();
    btn_m_up.gotoAndStop("icon_menu");
    btn_m_up.x = 37*devise_size;
    btn_m_up.y = 180*devise_size;
    this.getImg.addChild(btn_m_up);

    this.btn_r = ss_data.clone();
    this.btn_r.gotoAndStop("btn");
    this.btn_r.on("mousedown", function(){ window_controller.Show("location"); });
    this.btn_r.x = 130*devise_size;
    this.btn_r.y = 180*devise_size;
    this.getImg.addChild(this.btn_r);
    var btn_r_up = ss_data.clone();
    btn_r_up.gotoAndStop("icon_right");
    btn_r_up.x = 130*devise_size;
    btn_r_up.y = 180*devise_size;
    this.getImg.addChild(btn_r_up);
}
WindowPause.prototype = new ClassWindow();

WindowPause.prototype.Show = function()
{
    this.getImg.y = 2048;
    if(audio_supported && music!= undefined)
    {
        if(s_use_of_bonus_award.getMute())
            this.btn_sound_up.alpha = 0.5;
        else
            this.btn_sound_up.alpha = 1;
        if(music.getMute())
            this.btn_music_up.alpha = 0.5;
        else
            this.btn_music_up.alpha = 1;
    }
};

WindowPause.prototype.DrwIn = function()
{
    this.getImg.y = (-105 + 345*(this.animation/this.animation_time_in))*devise_size;
};

WindowPause.prototype.DrwOut = function()
{
    this.getImg.y = (240 + 345*(this.animation/(-this.animation_time_out)))*devise_size;
    if(this.animation == -this.animation_time_out) this.getImg.y = 2048;
};